--************************************
-- Desc: 成就框cell
-- File: AchievementCell.lua
-- Author: zhouhaifeng
-- Date: 2014-03-25 10:16:51
--************************************

local AchievementCell = class("AchievementCell", function()
	return ccs.button({
			normal = "ui/achievement/ui_cjk.png",
			pressed = "ui/achievement/ui_cjk.png",
		})
end)


function AchievementCell:ctor()

	self.icon = ccs.image({
		image = "ui/achievement/ui_cj_0.png",
		x = -90,
		y = 0,
	})

	self:addChild(self.icon)

	self.titleLabel = ccs.label({
	    text = " ",
	    fontSize = 16,
	    size = CCSizeMake(100, 20),
	    x = -50,
	    y = 0,
	})
	self.titleLabel:setAnchorPoint(ccp(0,0))
	self.titleLabel:setTextHorizontalAlignment(kCCTextAlignmentLeft)
	self:addChild(self.titleLabel)

	self.descLabel = ccs.label({
	    text = " ",
	    fontSize = 12,
	    size = CCSizeMake(100, 20),
	    x = -50,
	    y = -20,
	})
	self.descLabel:setAnchorPoint(ccp(0,0))
	self.descLabel:setTextHorizontalAlignment(kCCTextAlignmentLeft)
	self:addChild(self.descLabel)
end

function AchievementCell:setItemInfo(params)
	if params == nil then
		self:setVisible(false)
	else
		self:setVisible(true)
		self.icon:loadTexture(params.image)
		self.titleLabel:setText(params.title)
		self.descLabel:setText(params.desc)
	end
end


function AchievementCell:onEner()
	
end

function AchievementCell:onExit()
	
end

return AchievementCell