--*******************************************
-- Desc: 游戏记录
-- File: RecordScene.lua
-- Author: zhouhaifeng
-- Date: 2014-03-22 22:48:59
--*******************************************

local PlayerInfoLayer = import("..layers.PlayerInfoLayer")
local RecordsLayer = import("..layers.RecordsLayer")

local AchievementScene = class("AchievementScene", function()
    return display.newScene("AchievementScene")
end)

function AchievementScene:ctor()
	self.bg = display.newSprite("ui/start/ui_bg.jpg", display.cx, display.cy)
    display.setIsBackgroundImage(self.bg)
    self:addChild(self.bg)

	self.recordsLayer = RecordsLayer.new()
	self:addChild(self.recordsLayer)

    self.playerInfoLayer = PlayerInfoLayer.new()
    self:addChild(self.playerInfoLayer)

	 -- create menu
   	-- self.startButton = ui.newImageMenuItem({
    --     image = "ui/start/ui_enter_0.png",
    --     imageSelected = "ui/start/ui_enter_1.png",
    --     x = display.cx,
    --     y = display.bottom + 40,
    --     listener = function()
    -- 		MyApp:goToStore()
    --     end,
    -- })

 	self.backButton = ui.newImageMenuItem({
        image = "ui/common/btn_back_n.png",
        imageSelected = "ui/common/btn_back_n.png",
	    x = display.left + 120,
	    y = display.bottom + 40,
	    listener = function()
            audio.playEffect(R.SOUND_BUTTON)
			MyApp:goStart()
	    end,
    })

   self.startMenu = ui.newMenu({self.backButton})
   self:addChild(self.startMenu)

end

function AchievementScene:onEner()
	
end

function AchievementScene:onExit()
	
end

return AchievementScene
