--*******************************************
-- Desc: 障碍物池
-- File: BlockPools.lua
-- Author: zhouhaifeng
-- Date: 2014-03-21 00:41:35
--*******************************************

local Block = import(".Block")

local BlockPools = class("BlockPools",function()
	return OBJPoolExtend.extend(display.newNode())
end)


function BlockPools:ctor()
    self:initPools("Block", 30, 10, function()
    	return Block.new(BLOCK.BLOCK_TYPE_CAR)
    end)

    self:retain()
end

function BlockPools:purge()
	 self:removeAllObjects()
	 self:removeAllChildrenWithCleanup(true)
	 self:removeFromParentAndCleanup(true)
	 self:release()
end


function BlockPools:onEnter()
	
end


function BlockPools:onExit()

end

return BlockPools