--**************************************
-- Desc: 装备道具属性表
-- File: GameItems.lua
-- Author: zhouhaifeng
-- Date: 2014-03-24 13:23:09
--buyType=0金币  buyType = 1RMB
--**************************************

local GameItems = {
	[1000] = {levelLimit = 1,itemId = 1000 ,itemType = kItemTypeTemp, name = "小绵羊 80cc", image = "ui/level/ui_sp_1.png" , hitrect = CCRectMake(0, 0, 90, 32), firepos= ccp(72, 80), no2Pos = ccp(25,70),
			  desc = "简单、轻便，随处可见的小型摩托车", price = 0, buyType = 0, hp = 2, maxSpeed = 40, speedUp = 1, control = 1, weight = 1, minSpeed = 10},
	[1001] = {levelLimit = 1,itemId = 1001 ,itemType = kItemTypeCars, name = "小绵羊 80cc", image = "ui/level/ui_sp_1.png" , hitrect = CCRectMake(0, 0, 100, 32), firepos= ccp(72, 80), no2Pos = ccp(25,70),
			  desc = "简单、轻便，随处可见的小型摩托车", price = 0, buyType = 0, hp = 2, maxSpeed = 40, speedUp = 1, control = 1, weight = 1, minSpeed = 10},
	[1002] = {levelLimit = 3,itemId = 1002 ,itemType = kItemTypeCars, name = "炮马GX 220cc", image = "ui/level/ui_sp_2.png" , hitrect = CCRectMake(0, 0, 120, 32), firepos= ccp(64, 100), no2Pos = ccp(35,70),
			  desc = "高大结实的越野摩托车，没有多余的装饰，爆发力惊人", price = 90000, buyType = 0, hp = 4, maxSpeed = 50, speedUp = 2, control = 2, weight = 2, minSpeed = 15},
	[1003] = {levelLimit = 7,itemId = 1003 ,itemType = kItemTypeCars, name = "哈嘞DYA 500cc", image = "ui/level/ui_sp_2.png" , hitrect = CCRectMake(0, 0, 140, 32), firepos= ccp(70, 85),no2Pos = ccp(30,70),
			  desc = "霸气威武的军用摩托车，要多拉风有多拉风", price = 200000, buyType = 0, hp = 6, maxSpeed = 60, speedUp = 3, control = 3, weight = 3, minSpeed = 20},
	--001
	[1004] = {billingIndex = "001",levelLimit = 9,itemId = 1004 ,itemType = kItemTypeCars, name = "杜卡弟ST公路摩托", image = "ui/level/ui_sp_2.png" , hitrect = CCRectMake(0, 0, 160, 32), firepos= ccp(84, 92), no2Pos = ccp(30,70),
			  desc = "拥有流线般的外观，专门为比赛设计的摩托车", price = 10.00, buyType = 1, hp = 8, maxSpeed = 80, speedUp = 4, control = 4, weight = 4, minSpeed = 20},
  --002
    [1005] = {billingIndex = "002",levelLimit = 11,itemId = 1005 ,itemType = kItemTypeCars, name = "阿普里亚FW赛车", image = "ui/level/ui_sp_2.png" , hitrect = CCRectMake(0, 0, 160, 32), firepos= ccp(94, 82), no2Pos = ccp(40,70),
			  desc = "未面世的试作品，具有独特的造型和出色的性能", price = 18.00, buyType = 1, hp = 10, maxSpeed = 100, speedUp = 5, control = 5, weight = 5, minSpeed = 25},
  --003
    [1006] = {billingIndex = "003",levelLimit = 13,itemId = 1006 ,itemType = kItemTypeCars, name = "XYZ电磁原型车", image = "ui/level/ui_sp_2.png" , hitrect = CCRectMake(0, 0, 160, 32), firepos= ccp(115, 105), no2Pos = ccp(50,70),
			  desc = "未来的高科技产物，通过电磁浮动，不会受到撞击伤害", price = 20.00, buyType = 1, hp = 12, maxSpeed = 120, speedUp =  6, control = 6, weight = 6, minSpeed = 25},
    --武器
    [2000] = {levelLimit = 1,itemId = 2000 ,itemType = kItemTypeTemp, name = "柯尔特左轮手枪", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(82,-10),
			  desc = "经典中的经典，但是弹药过少，只适合防守.", price = 0, buyType = 0, minHurt = 5, maxHurt = 7, bullet = 6, killRange = 1, fillSpeed = 1, shootSpeed = 2, weaponType = kWeaponTypeHandGun},
	[2001] = {levelLimit = 1,itemId = 2001 ,itemType = kItemTypeWeapon, name = "柯尔特左轮手枪", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(82,-2),
			  desc = "经典中的经典，但是弹药过少，只适合防守.", price = 0, buyType = 0, minHurt = 5, maxHurt = 7, bullet = 6, killRange = 1, fillSpeed = 1, shootSpeed = 2, weaponType = kWeaponTypeHandGun},
	[2002] = {levelLimit = 3,itemId = 2002 ,itemType = kItemTypeWeapon, name = "MP5冲锋枪", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(100,-2),
			  desc = "短小轻便的冲锋枪，射速非常快.", price = 9000, buyType = 0, minHurt = 5, maxHurt = 7, bullet = 20, killRange = 1, fillSpeed = 3, shootSpeed = 1, weaponType = kWeaponTypeRifle},
	[2003] = {levelLimit = 4,itemId = 2003 ,itemType = kItemTypeWeapon, name = "温彻斯特M1887", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(90,-10),
			  desc = "威力惊人的散弹枪，一枪就可以解决对手.", price = 60000, buyType = 0, minHurt = 10, maxHurt = 15, bullet = 6, killRange = 3, fillSpeed = 4, shootSpeed = 3, weaponType = kWeaponTypeShotGun},
    [2004] = {levelLimit = 5,itemId = 2004 ,itemType = kItemTypeWeapon, name = "沙漠之鹰黄金版", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(95,-5),
			  desc = "仅有100把的珍藏版沙漠之鹰，彪悍的外形让人爱不释手.", price = 150000, buyType = 0, minHurt = 20, maxHurt = 30, bullet = 15, killRange = 1, fillSpeed = 2, shootSpeed = 2, weaponType = kWeaponTypeHandGun},
	--004
	[2005] = {billingIndex = "004",levelLimit = 7,itemId = 2005 ,itemType = kItemTypeWeapon, name = "M16自动突击步枪", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(120,-8),
			  desc = "军队标配武器，拥有5.56毫米口径的强大火力.", price = 8.00, buyType = 1, minHurt = 15, maxHurt = 20, bullet = 30, killRange = 1, fillSpeed = 3, shootSpeed = 1, weaponType = kWeaponTypeRifle}, 
  --005
    [2006] = {billingIndex = "005",levelLimit = 9,itemId = 2006 ,itemType = kItemTypeWeapon, name = "M1014重型霰弹枪", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(120,-8),
			  desc = "不同于传统的散弹枪，射速和装子弹的速度都非常快.", price = 10.00, buyType = 1, minHurt = 20, maxHurt = 30, bullet = 10, killRange = 5, fillSpeed = 2, shootSpeed = 3, weaponType = kWeaponTypeShotGun},
  --006
    [2007] = {billingIndex = "006",levelLimit = 11,itemId = 2007 ,itemType = kItemTypeWeapon, name = "MGL轻型榴弹炮", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(75,-2),
			  desc = "近距离的点面性武器，具有强大的杀伤力.", price = 12.00, buyType = 1, minHurt = 50, maxHurt = 75, bullet = 6, killRange = 20, fillSpeed = 4, shootSpeed = 3, weaponType = kWeaponTypeRPG},
  --007
    [2008] = {billingIndex = "007",levelLimit = 12,itemId = 2008 ,itemType = kItemTypeWeapon, name = "加特林机枪", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(120,-8),
			  desc = "拥有这把火力与射速都爆表的它可以让你单挑整个连队", price = 18.00, buyType = 1, minHurt = 50, maxHurt = 75, bullet = 200, killRange = 1, fillSpeed = 5, shootSpeed = 1, weaponType = kWeaponTypeRifle},
  --008
    [2009] = {billingIndex = "008",levelLimit = 13,itemId = 2009 ,itemType = kItemTypeWeapon, name = "XM-25榴弹枪", image = "ui/level/ui_sp_1.png" , firepos= CCPoint(-55,5),
			  desc = "美军秘密研发中的超级武器，让所有武器都相形见拙.", price = 20.00, buyType = 1, minHurt = 75, maxHurt = 100, bullet = 10, killRange = 20, fillSpeed = 5, shootSpeed = 3, weaponType = kWeaponTypeRPG},

	--赛车服	
	[3001] = {itemId = 3001 ,itemType = kItemTypeClothes, name = "紧身衣", image = "ui/level/ui_sp_1.png" , 
			  desc = "贴身的紧身衣，将婀娜身段暴露无遗.", price = 0, buyType = 0, hp = 2, hurt = 1.00},
	[3002] = {itemId = 3002 ,itemType = kItemTypeClothes, name = "炫飞制服", image = "ui/level/ui_sp_2.png" ,
			  desc = "甜美可爱的炫飞制服，让无数宅男心动不已。.", price = 80000, buyType = 0, hp = 4, hurt = 1.25},
	--009
	[3003] = {billingIndex = "009",itemId = 3003 ,itemType = kItemTypeClothes, name = "兔女郎", image = "ui/level/ui_sp_2.png" ,
			  desc = "极具诱惑的兔女郎服饰，有多少人能够抵挡", price = 10.00, buyType = 1, hp = 6, hurt =1.50},
  --010
    [3004] = {billingIndex = "010",itemId = 3004 ,itemType = kItemTypeClothes, name = "女仆装", image = "ui/level/ui_sp_2.png" ,
			  desc = "终极的女仆诱惑，有多少人能够抵挡", price = 20.00, buyType = 1, hp = 8, hurt = 2.00},

	--道具
	--011
	[4000] = {billingIndex = "011",itemId = 4000 , itemType = kItemTypeProps , name = "复活礼包" , image = "ui/level/ui_sp_6.png" ,
			  desc = "", price = 10.00, buyType = 1, quantity = 6 , time = 0},
	--012
	[4001] = {billingIndex = "012",itemId = 4001 , itemType = kItemTypeProps , name = "无限子弹" , image = "ui/level/ui_sp_6.png" ,
			  desc = "每次15秒内弹药无限", price = 60000, buyType = 0, quantity =3, time = 15},
	--013
	-- [4002] = {billingIndex = "013",itemId = 4002 , itemType = kItemTypeProps ,name = "防撞护盾" , image = "ui/level/ui_sp_7.png",
	-- 		  desc = "每次15秒撞车无视伤害.", price = 2.00, buyType = 1, quantity =3, time = 15},
	--014
    [4003] = {billingIndex = "014",itemId = 4003 , itemType = kItemTypeProps ,name = "液氮加速" , image = "ui/level/ui_sp_7.png",
			  desc = "每次极速120持续5秒.", price = 60000, buyType = 0, quantity =3, time = 5},
	--015
	[4004] =  {billingIndex = "015",itemId = 4004 , itemType = kItemTypeProps , name = "军衔礼包", image = "ui/level/ui_sp_3.png" , content = {1002,1003,1004,1005,1006} ,
	 desc = "少尉军衔、5888金币、温切斯特散弹枪", price = 10.00, buyType = 1},	
	--016
	[4005] =  {billingIndex = "016",itemId = 4005 , itemType = kItemTypeProps , name = "支援火力礼包", image = "ui/level/ui_sp_3.png" , content = {1002,1003,1004,1005,1006} ,
	 desc = "氮气加速*3、子弹无限*3", price = 10.00, buyType = 1},	
	--017
	[4006] =  {billingIndex = "017",itemId = 4006 , itemType = kItemTypeProps , name = "激活礼包", image = "ui/level/ui_sp_3.png" , content = {1002,1003,1004,1005,1006} ,
	 desc = "3888金币，MP5枪一把，氮气加速*3", price = 6.00, buyType = 1},	


	--套装
	[6000] = {itemId = 6000 , itemType = kItemTypePackage , name = "无套装", image = "ui/level/ui_sp_3.png" , content = {1001,2001,3001} ,
			  desc = "无属性加成", price = 0, buyType = 0},
	--018
	[6001] = {billingIndex = "018",itemId = 6001 , itemType = kItemTypePackage , name = "士兵套装", image = "ui/level/ui_sp_3.png" , content = {1003,2005,3002} ,
			  desc = "哈嘞DYA摩托，M16自动步枪，士兵突击.", price = 8.00, buyType = 1},
	--019
	[6002] = {billingIndex = "019",itemId = 6002 , itemType = kItemTypePackage , name = "车手套装", image = "ui/level/ui_sp_4.png" , content = {1004,2006,3003},
			  desc = "杜迪ST4摩托，M1014霰弹枪，职业车手.", price = 12.00, buyType = 1},
	--020
	[6003] = {billingIndex = "020",itemId = 6003 , itemType = kItemTypePackage , name = "星际套装", image = "ui/level/ui_sp_5.png" ,content = {1005,2007,3004}, 
			  desc = "阿普亚FW摩托，MGL榴弹枪，星际骑士.", price = 20.00, buyType = 1},

	--解锁全部
	--021
	-- [7001] = {billingIndex = "021",itemId = 7001 , itemType = kItemTypePackage , name = "解锁全部摩托车", image = "ui/level/ui_sp_3.png" , content = {1002,1003,1004,1005,1006} ,
	-- 		  desc = "解锁全部摩托车", price = 30.00, buyType = 1},
	--022
	-- [7002] = {billingIndex = "022",itemId = 7002 , itemType = kItemTypePackage , name = "解锁全部武器", image = "ui/level/ui_sp_3.png" , content = {2002,2003,2004,2005,2006,2007,2008,2009} ,
	-- 		  desc = "解锁全部武器", price = 30.00, buyType = 1},
	


	--金币
	--023
	[9001] = {billingIndex = "023",itemId = 9001 , itemType = kItemTypeGold , name = "20000金币包", image = "ui/level/ui_sp_5.png" ,
			  desc = "一枚小金币，价值20000。", price = 6.00, gold = 10000, buyType = 1},
	--024
	[9002] = {billingIndex = "024",itemId = 9002 , itemType = kItemTypeGold , name = "20000金币包", image = "ui/level/ui_sp_5.png" ,
			  desc = "几枚金灿灿的钱币，价值20000。", price = 6.00, gold = 20000 , buyType = 1},
  --025
	[9003] = {billingIndex = "025",itemId = 9003 , itemType = kItemTypeGold , name = "40000金币包", image = "ui/level/ui_sp_5.png" ,
			  desc = "整叠的金币，价值40000。", price = 8.00, gold = 40000 , buyType = 1},
	--026
	[9004] = {billingIndex = "026",itemId = 9004 , itemType = kItemTypeGold , name = "80000金币包", image = "ui/level/ui_sp_5.png" ,
			  desc = "一大袋金币，价值80000。", price = 10.00, gold = 80000 , buyType = 1},
	--027
	[9005] = {billingIndex = "027",itemId = 9005 , itemType = kItemTypeGold , name = "160000金币包", image = "ui/level/ui_sp_5.png" ,
			  desc = "装满一罐子的金币，价值160000。", price = 16.00, gold = 160000, buyType = 1},
	--028
	[9006] = {billingIndex = "028",itemId = 9006 , itemType = kItemTypeGold , name = "320000金币包", image = "ui/level/ui_sp_5.png" ,
			  desc = "一箱沉甸甸的金币，价值320000。", price = 20.00, gold = 320000, buyType = 1},


}


return GameItems