--*********************************************
-- Desc: 怪物池
-- File: MonsterPools.lua
-- Author: zhouhaifeng
-- Date: 2014-03-21 00:41:35
--*********************************************

local Monster = import(".Monster")
local LevelData = import("..datas.LevelData")
local MonsterPools = class("MonsterPools",function()
	return OBJPoolExtend.extend(display.newNode())
end)


function MonsterPools:ctor()
   	
	local params = LevelData[LevelSystem:getCurrentPlayMap()]

	for k,v in pairs(params.monsters) do
		self:initPools("Monster_" .. v, 30, 2, function()
    		return Monster.new(tostring(v))
    	end)
	end
	
    self:retain()
end

function MonsterPools:purge()
	 self:removeAllObjects()
	 self:removeAllChildrenWithCleanup(true)
	 self:removeFromParentAndCleanup(true)
	 self:release()
end


function MonsterPools:onEnter()
	
end


function MonsterPools:onExit()

end

return MonsterPools