--*********************************************
-- Desc: ${desc}
-- File: CMGameSDK.lua
-- Author: zhouhaifeng
-- Date: 2014-09-10 14:58:16
--*********************************************

if device.platform == "android" then
    luaj = require("framework.luaj")
end

--
CMGameSDK = {}

local CMGAMESDK_JAVA_CLASS = "com/conn/CMGameSDK"
--******************************************************************
-- public static void doBilling(final String billingIndex,
--         final boolean useSms,
--         final boolean isRepeated,
--         final int luaFunctionId) 
--*****************************************************;''''*************

function CMGameSDK.doBilling(billingIndex,useSms,isRepeated,callback)
    if device.platform == "android" then
        local javaClassName = CMGAMESDK_JAVA_CLASS
        local javaMethodName = "doBilling"
        local javaParams = {billingIndex,useSms,isRepeated,callback}
        luaj.callStaticMethod(javaClassName, javaMethodName, javaParams)
    end
end








